package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.service.BscEnterpriseScreenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 企业大屏数据统计 前端控制器
 * </p>
 *
 * @author JCB
 * @since 2022-09-06
 */
@RestController
@RequestMapping("/bscEnterpriseScreen")
public class BscEnterpriseScreenController {

    @Autowired
    private BscEnterpriseScreenService bscEnterpriseScreenService;

    /**
     * 大屏数据查询
     *
     * @param dataType   数据类型
     * @param moduleType 模块类型
     * @return
     */
    @GetMapping("screenDataStatistic")
    public ApiResult<Object> screenDataStatistic(@RequestParam(value = "dataType") String dataType,
                                                 @RequestParam(value = "moduleType") String moduleType) {
        return ApiResult.success(bscEnterpriseScreenService.screenDataStatistic(dataType, moduleType));
    }

}

